# $Revision: 1.59 $, $Date: 2012/03/11 09:37:18 $
Summary:	Tools for converting websites from using GIFs to using PNGs
Summary(es.UTF-8):	Herramienta para convertir sitios y imagenes de GIFs hacia PNGs
Summary(fr.UTF-8):	Outils de conversion de sites: convertit les GIFs en PNGs
Summary(pl.UTF-8):	Narzędzia do konwersji plików GIF na pliki PNG
Summary(pt_BR.UTF-8):	Ferramentas para a conversão de arquivos no formato GIF para PNG
Name:		gif2png
Version:	2.5.8
Release:	1
License:	BSD-like
Group:		Applications/Graphics
Source0:	http://catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
# Source0-md5:	0f5caeeca561ade7f267ef3f2a9944b4
URL:		http://catb.org/~esr/gif2png/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel >= 2:1.2.0
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for converting GIFs to PNGs. The program gif2png converts GIF
files to PNG files. The Python script web2png converts an entire web
tree, also patching HTML pages to keep IMG SRC references correct.

%description -l es.UTF-8
Herramienta de conversion GIF hacia PNG. El programa gif2png convierte
los archivos GIF al formato PNG. El script Python convierte un arbol
web completo y modifica incluso las paginas html para poner al dia las
referencias a imagenes <IMG SRC ...>.

%description -l fr.UTF-8
Outil de conversion du format GIF au format PNG. Le programme gif2png
convertit les fichiers GIF au format PNG. Le script Python scanne une
arborescence web complete et modifie aussi les pages HTML afin de
référencer à nouveau les fichiers images <IMG SRC ...>.

%description -l pl.UTF-8
Narzędzia do konwersji plików GIF do formatu PNG. Program gif2png
konwertuje pliki GIF do formatu PNG. Pythonowy skrypt web2png
konwertuje całe drzewo witryny WWW, poprawiając jednocześnie odnośniki
IMG SRC w stronach HTML.

%description -l pt_BR.UTF-8
Ferramentas para conversão de GIFs para PNG. O programa gif2png
converte arquivos no formato GIF para o formato PNG. O roteiro em
python web2png converte automaticamente vários arquivos em seus
sub-diretórios, assim como modifica as páginas HTML mantendo as
referência IMG SRC.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gif2png
%attr(755,root,root) %{_bindir}/web2png
%{_mandir}/man1/gif2png.1*
%{_mandir}/man1/web2png.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gif2png.spec,v $
Revision 1.59  2012/03/11 09:37:18  qboosh
- updated to 2.5.8
- removed obsolete libpng patch

Revision 1.58  2012/02/07 22:01:22  arekm
- release 2

Revision 1.57  2012/02/01 19:45:29  qboosh
- updated to 2.5.5
- added libpng patch to fix build with libpng 1.5.x

Revision 1.56  2011/01/26 14:48:43  qboosh
- updated to 2.5.4

Revision 1.55  2010/11/14 15:18:42  qboosh
- updated to 2.5.3
- removed obsolete libpng patch

Revision 1.54  2010/02/09 00:31:25  sparky
- BR: rpm-pythonprov

Revision 1.53  2010/02/08 16:02:53  megabajt
- added -libpng.patch
- more verbose files
- release 3

Revision 1.52  2010/02/06 21:02:56  arekm
- release 2

Revision 1.51  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.49  2004/01/01 21:46:00  adamg
- updated to 2.5.1

Revision 1.48  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.47  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.46  2003/07/28 21:36:33  adamg
- updated to 2.4.7
- fixed previous changelog entry

Revision 1.45  2003/06/27 20:02:58  blues
- cosmetics

Revision 1.44  2003/06/17 19:15:12  qboosh
- 2.4.6, dropped libpng 1.2.2 hack

Revision 1.43  2003/06/16 15:24:31  ankry
- fixed md5
NOTE 2.4.6 available

Revision 1.42  2003/06/16 15:20:50  ankry
- fixed md5 and URLs

Revision 1.41  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 05:47:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/07/04 01:20:05  kloczek
- updaed to 2.4.5 (bug fixes release).

Revision 1.37  2002/06/06 01:27:36  kloczek
- updated to 2.4.4 and use new %doc.

Revision 1.36  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/05/15 07:17:37  kloczek
- move gzipping %doc to %build (make spec --short-circuit-ready).

Revision 1.34  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.33  2002/04/28 21:56:56  qboosh
- libpng 1.2.2 support
- removed -f from automake (evil - destroyed COPYING not containing GPL text)
- release 3

Revision 1.32  2002/04/25 16:23:21  arturs
fixed a small typo

Revision 1.31  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.30  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/08/10 12:17:58  kloczek
- release 2: spec is now ac 2.5x ready.

Revision 1.26  2001/07/27 20:21:47  migo
'- added Summary(pl)'

Revision 1.25  2001/03/15 05:00:59  kloczek
- updated to 2.4.2.

Revision 1.24  2001/03/01 05:07:40  kloczek
- updated to 2.4.1,
- BuildRequires libpng changed to libpng-devel,
- removed zlib-devel from Buildrequires (this is determined by
  BuildRequires for libpng-devel).

Revision 1.23  2000/12/27 14:15:02  kloczek
- updated to 2.4.0.

Revision 1.22  2000/09/27 14:41:57  kloczek
- release 2: added using rpm new automation.

Revision 1.21  2000/09/13 22:45:13  kloczek
- updated to 2.3.3.

Revision 1.20  2000/07/28 17:29:55  kloczek
- adapterized.

Revision 1.19  2000/07/28 13:57:13  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.18  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.13  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.12  2000/02/28 05:52:50  kloczek
- updated to 2.3.2.

Revision 1.11  2000/02/07 10:09:55  kloczek
- updated to 2.3.1.

Revision 1.10  2000/01/06 08:43:47  wiget
2.3.0

Revision 1.9  2000/01/02 18:56:33  kloczek
- release 2,
- added es, fr translations from Mandrake resources.

Revision 1.8  1999/12/11 20:00:25  wiget
2.2.5

Revision 1.7  1999/12/01 02:33:58  wiget
- updated to 2.2.4

Revision 1.6  1999/11/28 15:12:45  wiget
- updated to 2.2.3
- added %%clean section

Revision 1.5  1999/11/16 02:38:16  kloczek
- updated to 2.2.2.

Revision 1.4  1999/11/10 01:09:50  kloczek
- updated to 2.1.2,
- changed Group to Applications/Graphics and added Group(pl).

Revision 1.3  1999/11/02 22:22:39  kloczek
- updated to 2.0.1.

Revision 1.2  1999/10/26 11:25:55  kloczek
- rewrited in PLD style.
